body {
  font-family: monospace;
  background-color: #121212;
  margin: 0;
  padding: 0;
  width: 100vw;
  display: flex;
  flex-direction: column;
  min-height: 100dvh;
  overflow-x: hidden;
}

canvas {
  position: fixed;
  top:0;
  left: 0;
  width: 100%;
  height: 100%;
}

a {
  color: inherit;
  text-decoration: none;
}

#header {
  display: inline-flex;
  align-items: center;
  z-index: 10;
  margin-bottom: 10px;
  position: fixed;
  top: env(safe-area-inset-top);
  left: env(safe-area-inset-left);
  font-size: large;
  gap: 16px;
  padding:12px 14px;
}

#logo {
  height: 30px;
  width: 30px;
  object-fit: contain;

}

#options {
  display: flex;
  gap: 16px;
  margin-right: 8px;

}


@media (max-width: 550px) {
  #header {
    width: calc(100% - 8px);
  }
}

@media (max-width: 423px) {
  #header {
    font-size: medium;
  }

  .header-link:hover {
    font-size: large;
  }

  [selected] {
    font-size: large;
  }
}

.block {
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(3px);
  background-color: rgba(0, 0, 0, 0.75);
  color: rgba(255, 255, 255, 0.75);
  padding: 14px;
  margin: 4px;
  border-radius: 14px;
  transition-timing-function: ease-out;
  border-style:solid;
  border-width:2px;
  border-color:rgba(255,255,255,.1);
  box-sizing: border-box;
  transition: 0.3s;
}

.header-link {
  display: block;
  margin: 0;
  padding: 0;
  white-space: none;
  align-content: center;
}

/* .header-link:hover {
  font-size: larger;
} */

#header-home:hover {
  color: #ff6767;
}

#header-projects:hover {
  color: #7e83ff;
}

#header-resume:hover {
  color: #3ea885;
}

[selected]:hover {
  opacity: 0.75;
}

[selected] {
  font-weight: bold;
  font-size: larger;
}

#loading.spinner {
  opacity: 1;
  display: block;
  width: 30vh;
  height: 30vh;
  position: fixed;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  visibility: visible;
  z-index:999;
}



#loading.spinner .spinner-circle {
  width: 20vh;
  height: 20vh;
  border: 9px solid rgba(255, 255, 255, 0.2);
  border-top-color: rgba(255, 255, 255, 0.95);
  border-radius: 50%;
  animation: spinner-rotate 0.9s linear infinite;
}

@keyframes spinner-rotate {
  to {
    transform: rotate(360deg);
  }
}